<?xml version="1.0" encoding="UTF-8"?>
<!-- 
    Copyright (c) 2005, 2007 IBM Corporation and others.
    All rights reserved. This program and the accompanying materials
    are made available under the terms of the Eclipse Public License v1.0
    which accompanies this distribution, and is available at
    http://www.eclipse.org/legal/epl-v10.html
    Contributors:
    IBM Corporation - initial implementation
-->
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" version="1.0" encoding="UTF-8" 
	doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" 
	doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" 
	indent="yes"/>

	<xsl:template match="/PublishingOption">
		<xsl:variable name="title">
			<xsl:value-of select="@title"/>
		</xsl:variable>
		<html>
			<xsl:attribute name="lang"><xsl:value-of select="@lang"/></xsl:attribute>
			<xsl:attribute name="xml:lang"><xsl:value-of select="@lang"/></xsl:attribute>
			<head>
				<title>
					<xsl:value-of select="$title"/>
				</title>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
				<meta name="meta_tagged" content="true"/>
				<!-- include additional meta tags if any -->
				<xsl:for-each select="metaTags/metaTag">
					<meta>
						<xsl:attribute name="name"><xsl:value-of select="@name"/></xsl:attribute>
						<xsl:attribute name="content"><xsl:value-of select="@content"/></xsl:attribute>
					</meta>
				</xsl:for-each>
				<link type="text/css" href="skin/main.css" rel="StyleSheet"/>
				<link type="text/css" href="skin/treeNodesIcons.css" rel="StyleSheet"/>
				<script type="text/javascript">
	var djConfig = {
		//preventBackButtonFix: false,
     	isDebug: false,
     	debugAtAllCosts: false
	};
</script>
<script type="text/javascript" src="dojo/dojo.js"/>
<script language="JavaScript" type="text/javascript">
	dojo.hostenv.writeIncludes();
</script>
<script type="text/javascript" src="theme/appResource.js"/>
<script type="text/javascript" src="theme/appBrowser.js"/>
<script type="text/javascript" src="theme/appNav.js"/>
<script type="text/javascript" src="theme/app.js"/>
<script type="text/javascript" src="theme/appSettings.js"/>
<script type="text/javascript" src="theme/treeNodes.js"/>
			</head>
			<body>
				<div dojoType="LayoutContainer" id="mainWindow" layoutChildPriority="top-bottom">
					<xsl:if test="@showBanner='true'">
						<!-- banner pane -->
						<div dojoType="rmc:BannerWidget" id="BannerWidget" layoutAlign="top"></div>
					</xsl:if>
					<div dojoType="LayoutContainer" id="contentTopPane" layoutAlign="top" layoutChildPriority="left-right" class="contentTopPane">
						<div dojoType="rmc:ToolbarWidget" id="appToolbar" layoutAlign="left" />
						<xsl:if test="@enableSearch='true'">
							<div dojoType="rmc:SearchWidget" id="SearchWidget" layoutAlign="right"/>
						</xsl:if>
					</div>	
					<!-- split container with navigation (left), content (middle), and info (right) panes -->
					<div id="splitContainer" dojoType="rmc:SplitContainerEx" orientation="horizontal"  layoutAlign="client">
						<!-- container for navigation pane. Set navigation container type: TabContainer or AccordionContainer -->
						<div id="navigationContainer" dojoType="rmc:AccordionContainerEx" sizeShare="10"></div>
						<div dojoType="rmc:IFrameContentPane" id="contentContainer" sizeShare="30" class="dojoContentPane" layoutAlign="client" >
						</div>
					</div>
				</div>
				<div dojoType="rmc:ModalFloatingPaneEx" id="ModalFloatingPane" title="" class="floatingPane"  bgColor="white" bgOpacity="0" >
				</div>
			</body>
		</html>
	</xsl:template>
</xsl:stylesheet>
